@import url('https://fonts.googleapis.com/css2?family=Anton&family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

*{
  margin: 0;
  border: 0;
  box-sizing: border-box;
}

html { scroll-behavior: smooth; font-size: 16px; }

:root{
  --title: clamp(2rem, 3vw + 1rem, 5.25rem);
  --n-content: 1.125rem;
  --s-content:0.875rem;
  /* @media max-width: 520px */
  --n-scontent:1rem;
  --s-smcontent: 0.75rem;
}

body{
  font-family:'Poppins', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  overflow-x: hidden;
}



.nav-container{
  max-width: 1400px;
  background-color: rgba(255, 255, 255, 0.4);
  backdrop-filter: blur(10px);
  /* border: 1px solid rgba(255, 255, 255, 0.5); */
  height: 50px;
  margin-top: 10px;
  padding:0px 10px;
  margin-right: max(20px, calc(100vw - 1400px) / 2);
  margin-left: max(20px, calc(100vw - 1400px) / 2);
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-radius: 25px;
  position: relative;
  z-index: 9999;

}

.logo{
  display: grid;
  grid-template-columns: 40px 1fr;
  column-gap: 10px;
  align-items: center;
  color: white;
}

.logo-img{
  background-color: teal;
  height: 40px;
  width: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-weight: bold;
  font-size: 16px;
  border-radius: 20px;
}

.logo-name{
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
  top: 2px;
}

.logo-name span:first-child{
  font-size:18px;
  color: black;
  font-weight: 800;
  color: white;
}

.logo-name span:nth-child(2){
  font-size: 12px;
  font-weight: 500;
  position: relative;
  top: -5px;
  color: rgba(255, 255, 255, 0.701);
}

ul{
  list-style: none;
  display: flex;
  gap: 30px;
}

a{
  color: black;
  font-weight: 600;
  text-decoration: none;
  font-size: 1rem;
}

li{
  position: relative;
  cursor: pointer;
}

li::after{
  content:'';
  position:absolute;
  bottom:-4px;
  left:0;
  right:0;
  height: 2px;
  background-color: black;
  transform: scale(0);
  transform-origin: right;
  transition: transform 0.4s ;
}

li:hover::after{
  transform: scale(1);
  transform-origin: left;
}

.nav-cont-contact-us{
  width: 110px;
  white-space: nowrap;
  padding: 5px 15px;

  background-color: white;
  border-radius: 40px;
  font-size: 0.8rem;
  box-shadow: 0 0 10px hsl(0, 0%, 54%);
  font-weight: 600;
  transition: transform 0.2s ease;
}

.nav-cont-contact-us:hover{
  transform: translateY(-2px);
  box-shadow: 0 0 15px hsl(0, 0%, 47%);
}
.menu{
  display: none;
}

main{
   width: 100vw;
}

.mobile-sidebar{
  display: none;
}

.landing-page{
  position: relative;
  width: 100vw;
  overflow: hidden;
  height: 100dvh;
  margin-top: -60px;
  background-color: rgb(31, 31, 31);
}

.carousel{
  position:absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  opacity: 0;

}

.carousel > img{
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: top;
  line-height: none;
}

.carousel .cover-img{
    border: 0;
    margin: 0;
    padding: 0;
    position: absolute;
    inset: 0 0 0 0;
    background: linear-gradient(to right, rgba(0, 0, 0, 0.885),rgba(0, 0, 0, 0));
  }

.carousel-content{
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translateX(-50%);
  width: 60%;
  display: flex;
  flex-direction: column;
  font-weight: 700;
   color: white;
  
}


.title{
  font-size: var(--title);
  line-height: 70px;
  text-align: start;
  margin-bottom: 10px;
}

.regular-text{
  width: 60%;
  font-weight: 500;
  color: rgb(230, 230, 230);
  margin-bottom: 20px;

}

.carousel-content::before{
  content: '';
  position: absolute;
  bottom: -25px;
  top: -15px;
  left: -50px;
  right: 0px;
  background-color: rgba(117, 117, 117, 0.3);
  backdrop-filter: blur(7px);
  border: 1px solid rgba(215, 215, 215, 0.5);
  border-radius: 15px;
  z-index: -341;
}


.start-learn-link{
  display: flex;
  gap: 30px;
  align-items: center;

}

.get-started-link{
  display: flex;
  width: 170px;
  border-radius: 10px;
  background-color: teal;
  cursor: pointer;
  z-index: 88;
}
.get-started-link:hover{
  background-color: rgb(0, 168, 168);
}
.get-started-link:active{
  background-color: teal;
}

.get-started-link > a{
  width: 100%;
  height: 100%;
  display: flex;
  padding: 5px 5px 5px 23px;
  align-items: center;
  justify-content: space-between;
  color: white;
}


.svg-started{
    height: 27px;
    width: 27px;
    border-radius: 6px;
    background-color: rgba(255, 255, 255, 0.753);
    display: flex;
    justify-content: center;
    align-items: center;
    > svg{
      fill: black;
      height: 20px;
    }
  }

.learn-more-link{
  color: white;
}

.learn-more-link:hover{
  color: blueviolet;
  text-decoration: underline;
  cursor: pointer;
}

.carousel.show{
  opacity: 1;
  z-index: 21;
}

@keyframes showContent {
  to{
    transform: translateY(0px);
    opacity: 1;
    filter: blur(0px);
  }
}

@keyframes imgZoom {
  to{
    width: 102%;
    filter: blur(0px);
  }
}

.carousel.show .carousel-content::before,
.carousel.show .title,
.carousel.show .regular-text,
.carousel.show .start-learn-link{
  z-index: 100;
  transform: translateY(50px);
  filter: blur(20px);
  opacity: 0;
  animation: showContent 0.5s 0.5s ease-in-out 1 forwards;
}

.carousel.show .title{
  animation-delay: 0.7s;
}
.carousel.show .regular-text{
  animation-delay: 0.9s;
}
.carousel.show .start-learn-link{
  animation-delay: 1.1s;
}

.carousel.show > img{
  width: 100%;
  filter: blur(10px);
  animation: imgZoom 1s linear 0.7s 1 forwards ;
}

.section-2{
  width: 100vw;
  position: relative;
  overflow: hidden;
  padding-top: 70px;
  padding-bottom: 50px;
  padding-right: min(20px,4%);
  padding-left: min(20px,4%);
}

.section-2-content-text{
  width: 100%;
  margin-bottom: 20px;
  overflow: hidden;

}

.s2-title{
    font-size: var(--title);
    color: black;
    font-weight: 700;
    margin-bottom: 20px;
    line-height: 60px;
  }

  .s2-n-content{
    font-size: var(--n-content);
  }

.section-2-graphics{
 padding-right: 20px;
  width: 100%; 
  position: relative;
  display: grid;
  grid-template-columns: minmax(350px,40%) minmax(150px,20%) minmax(350px,40%);
  grid-template-rows: clamp(270px,28vw,calc(1400px * 0.35)) clamp(270px,28vw,calc(1400px * 0.35));
  /* padding: 20px; */
  column-gap: 20px;
  row-gap: 20px;
  grid-template-areas: 
  "phone mac mac"
  "pad pad watch";
  }

  .graphics-phone{
    grid-area: phone;
  }
  .graphics-iMac{
    grid-area: mac;
  }
  .graphics-Pad{
    grid-area: pad;
  }
  .graphics-iWatch{
    grid-area: watch;
  }

  .graphics-phone{
    background-color: black;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
  }

@keyframes top {
  to{
    transform: translate(100%,-100%);
  }
}

@keyframes down {
  to{
    transform: translate(-100%,100%);
  }
}

.pink-orb{
  position: absolute;
  width: 50%;
  height: 50%;
  background-color: rgba(255, 0, 242, 0.8);
  right: -30%;
  top: -30%;
  border-radius: 100%;
  filter: blur(70px);
  animation: down 5s 1s infinite alternate ;
}
.violet-orb{
  position: absolute;
  width: 50%;
  height: 50%;
  background-color: rgba(140, 0, 255, 0.8);
  left: -30%;
  bottom: -30%;
  border-radius: 100px;
  filter: blur(70px);
  
  animation: top 5s 1s infinite alternate ;
}


.graphics-phone-case{
  position: absolute;
  bottom: -150px;
  left: 50%;
  transform: translateX(-50%) translateY(-0px);
  background-color: rgba(245, 250, 255, 0.7);
  height: 85%;
  width: 65%;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: -2px 0 20px black;
  transition: transform 0.5s ease-in-out;
}

.graphics-phone-case.upwards{
    transform: translate(-50%,-20%);
}

.gradient-line{
  position: absolute;
  height:120%;
  width: 45%;
  background-color: white;
  filter: blur(30px);
  left: 50%;
  transform: translateX(-50%) translateY(-30%) rotate(25deg);
  
}  

.fit-to-sides{
  background: transparent;
  position: absolute;
  inset: 0;
  width: 100%;
  border-radius: 15px;
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: 20% 1fr;
  padding:5% 4%;
  row-gap: 15px;
}

.noti-heading{
  display: flex;
  align-items: center;
  padding-left: 4%;
  font-size: var(--n-content);
  font-weight: 600;
}

.app-msg-container{
  display: flex;
  flex-direction: column;
  gap:10px;
  width: 100%;
  position: relative;
}

 .message-box{
    position: relative;
    width: 97%;
    height: 6vw;
    border-radius: 5px;
    background-color: rgb(255, 255, 255);
    box-shadow: 0 2px 10px rgba(55, 55, 55, 0.4);
    display: grid;
    grid-template-columns: 30% 70%;
    overflow: hidden;
  }

  .appicon-container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .message-box .appicon-container img{
    position: absolute;
    width: 65%;
  }

    .nameTimeMsg{
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    flex-grow: 0;
    padding-top: 13px;
    padding-right: 15px;
    padding-bottom: 10px;
    padding-left: 0px;
  }

   .nameTime{
    display: flex;
    justify-content: space-between;
  }

 .name{
    font-size: var(--n-scontent);
    font-weight: 600;
  }
  .time{
    font-size: var(--s-content);
    color: rgb(115, 115, 115);
    font-weight: 500;
  }
  .msg{
    font-size: var(--n-scontent);
    margin-top: 8px;
    color: rgba(0, 0, 0, 0.568);
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  .noti-msg-logo{
    width: 65%;
    height: 65%;
    background:linear-gradient(130deg, teal,rgb(0, 255, 255));
    font-size: 28px;
    color:white;
    font-weight: 700;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .graphic-shadow{
    position: absolute;
    width: 100%;
    height: 20%;
    background:linear-gradient(to top, black,rgba(0, 0, 0, 0.922));
    filter: blur(20px);
    bottom: -30px;
  }

   .graphics-iMac, .graphics-Pad, .graphics-iWatch{
    background-color: black;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
    box-shadow: 0 5px 15px hsla(0, 0%, 50%, 0.5);
  }

   .section-2-graphics img{
    width: 105%;
  }

  
  .graphics-iWatch img{
    width: 110%;
    height: 100%;
    object-fit: cover;
  }

 .section-3{
    width: 100vw;
    background-color: aliceblue;
    /* don't add any margin to this as it may cause the webstie to break */
  }

   .section-3-container{
    width: 100%;
    padding-top: 80px;
    padding-right: max(20px,calc((100vw - 900px) / 2));
    padding-left: max(20px,calc((100vw - 900px) / 2));
    padding-bottom: 60px;
    
  }

   .s-3-container-content{
    margin-bottom: 20px;
  }

   .s-3-content-title{
    font-size: var(--title);
    font-weight: 700;
  }
  .s-3-content-normal-text{
    font-size: var(--s-content);
    font-weight: 500;
  }

    .s-3-video-housing{
    position: relative;
    width: 100%;
    height:min(50vw,clamp(400px,34vw,calc(1450px * 0.35))) ;
    background-color: rgb(245, 245, 245);
    box-shadow: 0 10px 20px hsl(0, 0%, 60%);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

.video-glass{
 position: relative;
  width: 96%;
  height: 93%;
  background-color: grey;
  border-radius: 13px;
  overflow: hidden;
} 

.footer{
  position: relative;
  width: 100vw;
}

  .mother-container{
    width: 100%;
    padding: 30px 2em 20px 2em;
    background-color: #071528;
  }

 .shipping{
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-bottom: 80px;
    
  }

  .let-ship{
    font-size: var(--title);
    font-weight: 700;
    color: white;
  }
  
  .import-export{
    display: grid;
    grid-template-columns: repeat(2, 300px);
    column-gap: max(20px,7%);
  }

  .import{
    background-color: teal;
    height: 180px;
    overflow: hidden;
    border-radius: 10px;
    position: relative;
    /* box-shadow: 0 5px 14px hsl(0, 0%, 75%) */
  }

   .import-text{
    position: absolute;
    font-size: var(--n-content);
    font-weight: 600;
    color: white;
    left: 15px;
    top: 10px;
    z-index: 24;
  }

   .sub-import-text{
    position: absolute;
    font-size: var(--n-scontent);
    left: 16px;
    top: 35px;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.545);
    z-index: 23;
  }

   .icon-start-now{
    position: absolute;
    font-size: 16px;
    left: 15px;
    bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    color: white;
    font-weight: 500;
    z-index: 22;
  }

    .import-export-svg{
    background-color: white;
    width: 25px;
    height: 25px;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 21;
  }

    .import-export-svg > svg{
    /* width: 18px;
    height: 18px; */
    fill: black;
    font-weight: 700;
    z-index: 20;
  }


   .circle-import-gradient{
    background-color: white;
    width:200px;
    height: 200px;
    position: absolute;
    z-index: 1;
    right: -100px;
    border-radius: 40%;
    filter: blur(70px);
    bottom: -100px;
  }

   .ship-1{
    position: absolute;
    width: 100%;
    right: -50%;
    bottom: -30%;
    z-index: 19;
    transition: all 0.4s ease;
  }

  .import:hover{
    .ship-1{

      width: 102%;
      right: -45%;
      bottom: -28%;
    }
  }

  .export{
    background-color: white;
    height: 180px;
    /* box-shadow: 0 5px 14px hsl(0, 0%, 75%); */
    overflow: hidden;
    border-radius: 10px;
    position: relative;
  }


    .ship-2{
    position: absolute;
    width: 82%;
    right: -35%;
    bottom: -3%;
    z-index: 19;
    transition: all 0.4s ease;
  }

   .export-svg{
    background-color: black;
    width: 25px;
    height: 25px;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 21;
  }

   .export-svg > svg{
    /* width: 18px;
    height: 18px; */
    fill: white;
    font-weight: 700;
    z-index: 20;
  }

  .export:hover{
    .ship-2{
       width: 80%;
    right: -38%;
    bottom: -4%;
     
    }
  }


   .summary{
    display: grid;
   grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));;
    grid-template-rows: 1fr;
    column-gap: 50px;
  }


  .summary-grid{
    display: flex;
    flex-direction: column;
    gap: 10px;
    color: rgba(255, 255, 255, 0.389);
    padding: 15px;
    
  }

  .summary-heading{
    font-weight: 600;
  }


  .mission-blog{
    display: flex;
    flex-direction: column;
    gap: 20px;
    color: white;
  }

  .summary-blog{
    font-size: var(--s-content);
    color: rgba(255, 255, 255, 0.6);
  }

   .summary-links > a {
    color: rgb(208, 208, 208);
    font-weight: 400;
    
  }


/* media queries */

@media (max-width:920px) {
  .nav-container{
    height: 50px;
    margin-right: 15px;
    margin-left: 15px;
  }
  .logo{
    display: grid;
    grid-template-columns: 40px 1fr;
    color: white;
  }

  .logo-img{
    width: 30px;
    height: 30px;
    font-size: 16px;
  }

  .logo-name span:nth-child(1){
    font-size: 14px;
    font-weight: 600;
    color: white;
  }
  .logo-name span:nth-child(2){
    font-size: 9px;
    color: rgba(255, 255, 255, 0.612);
  }

  ul{
    gap: 20px;
  }

  a{
    font-size: 0.85rem;
  }

  
  .title{
    font-size: var(--title);
    line-height: 45px;
    text-align: start;
  }

  .regular-text{
    width: 90%;
    line-height: 25px;
    font-weight: 500;
    color: rgb(230, 230, 230);
    margin-bottom: 20px;
  }

  .section-2{
    width: 100vw;
    overflow: hidden;
    padding-top: 70px;
    padding-bottom: 50px;
   
  }

  .s2-title{
    font-size: var(--title);
    color: black;
    font-weight: 700;
    margin-bottom: 15px;
    line-height: 45px;
  }

    .s-3-video-housing{
    position: relative;
    width: 95%;
    height:min(50vw,clamp(400px,28vw,calc(1400px * 0.35))) ;
    background-color: rgb(245, 245, 245);
    box-shadow: 0 10px 20px hsl(0, 0%, 60%);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

}





@media (max-width:700px) {
html,body{
  overscroll-behavior: none;
}

  .nav-container{
    height: 40px;
    margin-right: 10px;
    margin-left: 10px;
    border-radius: 0;
    padding: 0;
    background-color: transparent;
    position: relative;
    color: white;
    z-index: 999;
  }

  svg{
    fill: white;
  }

  .logo-img{
    width: 40px;
    height: 40px;
    border-radius: 20px;
    font-size: 16px;
    
  }

  .logo-name span:nth-child(1){
    font-size: 18px;
    font-weight: 700;
    color: white;
  }
  .logo-name span:nth-child(2){
    font-size: 10px;
  }

 
  nav{
    display: none;
  }

  .Contact-us{
    display: none;
  }

  .menu{
    display: inline-block;
    background-color: transparent;
    cursor: pointer;
  }


  .mobile-sidebar{
    display: none;
   
  }

  .mobile-sidebar.active{
    display: grid;
    position: fixed;
    inset: 0 0 0 0;
    padding: 5px 10px;
    backdrop-filter: blur(10px);
    z-index: 9999;
  }

  .no-scroll{
    overflow: hidden;
    height: 100evh;
  }

  .m-logo-closeBtn{
    padding-top: 5px;
    display: flex;
    justify-content: space-between;
    align-items: start;
    
  }


  .mobile-navigations{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-bottom: 30px;
    
  }

  .mobile-navigations > ul{
    padding: 0;
    gap:10px;
    list-style: none;
    display: flex;
    flex-direction: column;
  }

  .mobile-navigations > ul > li{
    height: 50px;
    padding-left: 5px;
    display: flex;
    align-items: center;
    border-bottom: 1px solid hsla(0, 0%, 70%, 0.5);
  }

  .mobile-navigations > ul > li::after{
    display: none;
  }

  .mobile-navigations > ul >li > a{
    font-size: 0.95rem;
    color:white;
    font-weight: 500;
  }

  .close{
    background-color: transparent;
    position: relative;
    top: 3px;
    cursor: pointer;
  }

  .mobile-contactUs{
    width: 100%;
    height: 40px;
    border-radius: 20px;
    position: relative;
    border: 1px solid rgb(204, 204, 204);
    display: flex;
    justify-content: center;
    align-items: center;

    > a{
      height: 100%;
      width: 100%;
      display: flex;
      justify-content: center;
      color: white;
      align-items: center;
      border-radius: 20px;
      font-size: 0.95rem;
      font-weight:500;
    }
  }

  .landing-page{
    width: 100vw;
    overflow: hidden;
    margin-top: -50px;
    height: 100dvh;
    position: relative;
  }

 

  .carousel{
    position: absolute;
    inset: 0;
    border: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(130, 251, 251);
  }

  .carousel > img{
    border: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .carousel .cover-img{
    border: 0;
    margin: 0;
    padding: 0;
    position: absolute;
    inset: 0 0 0 0;
    background-color: rgba(0, 0, 0, 0.55);
  }

  .carousel-content{
    position: absolute;
    top: 30%;
    width: 85%;
    display: flex;
    flex-direction: column;
    left: 3%;
    transform: none;
  }

/* .carousel-content::before{
  display: none;
} */

  .title{
    font-size: var(--title);
    line-height: 36px;
    font-weight: 700;
    margin-bottom: 15px;
    color: whitesmoke;
  }

  .regular-text{
    font-size: 12px;
    line-height: 20px;
    font-weight: 500;
    color: rgb(195, 195, 195);
    margin-bottom: 25px;
    width: 100%;
    padding-right: 3px;
    position: relative;
    z-index: 21;
  }

  .regular-text::before{
    content: '';
    position: absolute;
    bottom: -5px;
    top: -5px;
    left: -50px;
    right: 0px;
    background-color: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(5px);
    border: 0.5px solid rgba(255, 255, 255, 0.26);
    border-radius: 15px;
    z-index: -1;
  }

  .start-learn-link{
    display: flex; 
    align-items: center;
    gap: 15px;
  }

  .get-started-link{
    height: 40px;
    width: 150px;
    display: flex;
    align-items: center;
  }

  .get-started-link > a{
    display: flex;
    height: 100%;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    background-color:teal;
    color: white;
    font-weight: 500;
    padding: 3px 5px 3px 10px;
    border-radius: 10px;

    span{
      padding-left: 14px;
    }
  }

  .svg-started{
    height: 30px;
    width: 30px;
    border-radius: 8px;
    background-color: rgba(255, 255, 255, 0.753);
    display: flex;
    justify-content: center;
    align-items: center;
    > svg{
      fill: black;
      height: 20px;
    }
  }

  .learn-more-link{
    font-size: 14px;
    font-weight: 500;
    color: white;
  }

  .carousel.show{
  opacity: 1;
  z-index: 21;
  }

  @keyframes showContent {
  to{
    transform: translateY(0px);
    opacity: 1;
    filter: blur(0px);
  }
}

.carousel.show .carousel-content::before{
  display: none;
}
/* .carousel.show .title,
.carousel.show .regular-text,
.carousel.show .start-learn-link{
  z-index: 100;
  transform: translateY(50px);
  filter: blur(20px);
  opacity: 0;
  animation: showContent 0.5s 0.5s ease-in-out 1 forwards;
} */



  /* section 2 css */
  .section-2{
    width: 100vw;
    overflow: hidden;
    padding-top: 70px;
    padding-bottom: 50px;
    padding-right: 10px;
    padding-left: 10px;
  }

  .section-2-content-text{
    margin-bottom: 20px;
  }

  .s2-title{
    font-size: var(--title);
    color: black;
    font-weight: 700;
    margin-bottom: 10px;
    line-height: 35px;
  }

  .s2-n-content{
    font-size: var(--n-scontent);
  }

  .section-2-graphics{ 
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows:400px 200px 200px 242px ;
    row-gap: 20px;
    grid-template-areas: 
    "phone"
    "mac"
    "pad"
    "watch";
  }

   .graphics-phone{
    grid-area: phone;
  }
  .graphics-iMac{
    grid-area: mac;
  }
  .graphics-Pad{
    grid-area: pad;
  }
  .graphics-iWatch{
    grid-area: watch;
  }

  .graphics-phone{
    background-color: black;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
  }

  @keyframes top {
  to{
    transform: translate(150px,-150px);
  }
}
@keyframes down {
  to{
    transform: translate(-150px,150px);
  }
}


 

  


  .pink-orb{
    position: absolute;
    width: 150px;
    height: 150px;
    background-color: rgba(255, 0, 242, 0.8);
    right: -100px;
    top: -100px;
    border-radius: 100px;
    filter: blur(100px);
    animation: down 5s 1s infinite alternate ;
  }
  .violet-orb{
    position: absolute;
    width: 150px;
    height: 150px;
    background-color: rgba(140, 0, 255, 0.8);
    left: -100px;
    bottom: -100px;
    border-radius: 100px;
    filter: blur(100px);
   
   animation: top 5s 1s infinite alternate ;
  }

  .graphics-phone-case{
    position: absolute;
    bottom: -150px;
    left: 50%;
    transform: translateX(-50%) translateY(-0px);
    background-color: rgba(245, 250, 255, 0.7);
    height: 350px;
    width: 250px;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: -2px 0 20px black;
    transition: transform 0.5s ease-in-out;
  }

  .graphics-phone-case.upwards{
    transform: translate(-50%,-20%);
  }

  .gradient-line{
    position: absolute;
    height: 500px;
    width: 80px;
    background-color: white;
    filter: blur(20px);
    left: 50%;
    transform: translateX(-80%) translateY(-20%) rotate(30deg);
    
  }

  .fit-to-sides{
    background: transparent;
    position: absolute;
    inset: 0;
    width: 100%;
    border-radius: 15px;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 30px 1fr;
    padding:10px 11px;
    row-gap: 15px;
    
  }

  .noti-heading{
    display: flex;
    align-items: center;
    padding-left: 7px;
    font-size: var(--s-content);
    font-weight: 600;
  }
  
  .app-msg-container{
    display: flex;
    flex-direction: column;
    gap:10px;
    width: 100%;
    position: relative;
  }

  .message-box{
    position: relative;
    width: 96.5%;
    height: 65px;
    border-radius: 5px;
    background-color: rgb(255, 255, 255);
    box-shadow: 0 2px 10px rgba(55, 55, 55, 0.4);
    display: grid;
    grid-template-columns: 30% 70%;
    overflow: hidden;
  }


  .appicon-container{
    position: relative;
   
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .message-box .appicon-container img{
    position: absolute;
    width: 65%;
  }

  .nameTimeMsg{
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    flex-grow: 0;
    padding-top: 13px;
    padding-right: 15px;
    padding-bottom: 10px;
    padding-left: 0px;
  }

  .nameTime{
    display: flex;
    justify-content: space-between;
  }

  .name{
    font-size: 13px;
    font-weight: 600;
  }
  .time{
    font-size: 11px;
    color: rgb(115, 115, 115);
    font-weight: 500;
  }
  .msg{
    font-size: 11px;
    margin-top: 2px;
    color: rgba(0, 0, 0, 0.568);
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  .noti-msg-logo{
    width: 65%;
    height: 65%;
    background:linear-gradient(130deg, teal,rgb(0, 255, 255));
    font-size: 24px;
    color:white;
    font-weight: 700;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .graphic-shadow{
    position: absolute;
    width: 100%;
    height: 20%;
    background:linear-gradient(to top, black,rgba(0, 0, 0, 0.922));
    filter: blur(20px);
    bottom: -30px;
  }


  /* macbook */
  .graphics-iMac, .graphics-Pad, .graphics-iWatch{
    background-color: black;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
    box-shadow: 0 5px 15px hsla(0, 0%, 50%, 0.5);
  }

  .section-2-graphics img{
    width: 110%;
    object-fit: cover;
  }

  .section-3{
    width: 100vw;
    background-color: aliceblue;
    /* don't add any margin to this as it may cause the webstie to break */
  }

  .section-3-container{
    width: 100%;
    padding-top: 50px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 40px;
    
  }

  .s-3-container-content{
    margin-bottom: 20px;
  }

  .s-3-content-title{
    font-size: var(--title);
    font-weight: 700;
  }
  .s-3-content-normal-text{
    font-size: var(--s-content);
    font-weight: 500;
  }
  .s-3-video-housing{
    width: 100%;
    height: 210px;
    background-color: rgb(245, 245, 245);
    box-shadow: 0 10px 20px hsl(0, 0%, 60%);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
  .video-glass{
    width: 95%;
    height: 91%;
    background-color: grey;
    border-radius: 13px;
    /* position: relative; */
    overflow: clip;
  }

  .footer{
    position: relative;
    width: 100vw;
  }

  .mother-container{
    width: 100%;
    padding: 30px 10px 20px 10px;
    background-color: #071528;
  }

  .shipping{
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-bottom: 80px;
    
  }

  .let-ship{
    font-size: var(--title);
    font-weight: 700;
    color: white;
  }

  .import-export{
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
  }

  .import{
    background-color: teal;
    height: 90px;
    overflow: hidden;
    border-radius: 10px;
    position: relative;
    /* box-shadow: 0 5px 14px hsl(0, 0%, 75%) */
  }

  .import-text{
    position: absolute;
    font-size: 14px;
    font-weight: 600;
    color: white;
    left: 15px;
    top: 6px;
    z-index: 24;
  }
  .sub-import-text{
    position: absolute;
    font-size: 11px;
    left: 16px;
    top: 25px;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.545);
    z-index: 23;
  }
  .icon-start-now{
    position: absolute;
    font-size: 13px;
    left: 15px;
    bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    color: white;
    font-weight: 500;
    z-index: 22;
  }

  .import-export-svg{
    background-color: white;
    width: 25px;
    height: 25px;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 21;
  }

  .import-export-svg > svg{
    /* width: 18px;
    height: 18px; */
    fill: black;
    font-weight: 700;
    z-index: 20;
  }

  .circle-import-gradient{
    background-color: white;
    width: 100px;
    height: 100px;
    position: absolute;
    z-index: 1;
    right: -40px;
    border-radius: 50px;
    filter: blur(40px);
    bottom: -40px;
  }

  .ship-1{
    position: absolute;
    width: 100%;
    right: -50%;
    bottom: -30%;
    z-index: 19;
  }

  .ship-2{
    position: absolute;
    width: 82%;
    right: -35%;
    bottom: -3%;
    z-index: 19;
  }
 


  .export{
    background-color: white;
    height: 90px;
    /* box-shadow: 0 5px 14px hsl(0, 0%, 75%); */
    overflow: hidden;
    border-radius: 10px;
    position: relative;
  }

  .export-svg{
    background-color: black;
    width: 25px;
    height: 25px;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 21;
  }

  .export-svg > svg{
    /* width: 18px;
    height: 18px; */
    fill: white;
    font-weight: 700;
    z-index: 20;
  }

  .summary{
    display: grid;
    grid-template-columns:1fr;
    grid-template-rows: repeat(auto-fill, 1fr);
    row-gap: 40px;
  }

  .summary-grid{
    display: flex;
    flex-direction: column;
    gap: 10px;
    color: rgba(255, 255, 255, 0.389);
    padding: 15px;
    border-top: 0.5px solid rgba(255, 255, 255, 0.1);
  }

  
  .summary-heading{
    font-weight: 600;
  }
  
  
  
  .mission-blog{
    display: flex;
    flex-direction: column;
    gap: 20px;
    color: white;
  }
  
  .summary-blog{
    font-size: var(--s-content);
    color: rgba(255, 255, 255, 0.6);
  }
  
  .summary-links > a {
    color: rgb(208, 208, 208);
    font-weight: 400;
    
  }
  
  
}
